package org.dive4elements.river.client.shared.model;

import java.util.List;


public class StaticSQRelationArtifact
extends DefaultArtifact
{

    /** The name of this artifact */
    public static final String NAME = "static_sqrelation";



    public StaticSQRelationArtifact() {
    }

    public StaticSQRelationArtifact(String uuid, String hash) {
        super(uuid, hash);
    }


    public StaticSQRelationArtifact(
        String                   uuid,
        String                   hash,
        boolean                  inBackground,
        List<CalculationMessage> messages
    ) {
        super(uuid, hash, inBackground, messages);
    }


    public String getName() {
        return NAME;
    }
}
